### php.java.bridge

# Class ConstructorCache.Entry

- `java.lang.Object`

- `php.java.bridge.ConstructorCache.Entry`

Enclosing Class:
  ConstructorCache

`public static class ConstructorCache.Entry`
`extends java.lang.Object`

A cache entry carrying the method name and the parameters

Author:
  jostb

## Method Summary

`boolean`

`equals(java.lang.Object o)`
  Determine whether this Object is semantically equal to another Object.

`int`

`hashCode()`
  Get a value that represents this Object, as uniquely as possible within the confines of an int.

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### equals

    public boolean equals(java.lang.Object o)

> Determine whether this Object is semantically equal to another Object.

> There are some fairly strict requirements on this method which subclasses must follow:
> - It must be transitive. If `a.equals(b)` and `b.equals(c)`, then `a.equals(c)` must be true as well.
> - It must be symmetric. `a.equals(b)` and `b.equals(a)` must have the same value.
> - It must be reflexive. `a.equals(a)` must always be true.
> - It must be consistent. Whichever value a.equals(b) returns on the first invocation must be the value returned on all later invocations.
> - `a.equals(null)` must be false.
> - It must be consistent with hashCode(). That is, `a.equals(b)` must imply `a.hashCode() == b.hashCode()`. The reverse is not true; two objects that are not equal may have the same hashcode, but that has the potential to harm hashing performance.

> This is typically overridden to throw a `ClassCastException` if the argument is not comparable to the class performing the comparison, but that is not a requirement. It is legal for `a.equals(b)` to be true even though `a.getClass() != b.getClass()`. Also, it is typical to never cause a `NullPointerException`.

> In general, the Collections API (`java.util`) use the `equals` method rather than the `==` operator to compare objects. However, `java.util.IdentityHashMap` is an exception to this rule, for its own good reasons.

> The default implementation returns `this == o`.
> Overrides:
>   equals in interface java.lang.Object

> Parameters:

> Returns:
>   whether this Object is semantically equal to another

> See Also:
>   `hashCode()`

### hashCode

    public int hashCode()

> Get a value that represents this Object, as uniquely as possible within the confines of an int.

> There are some requirements on this method which subclasses must follow:
> - Semantic equality implies identical hashcodes. In other words, if `a.equals(b)` is true, then `a.hashCode() == b.hashCode()` must be as well. However, the reverse is not necessarily true, and two objects may have the same hashcode without being equal.
> - It must be consistent. Whichever value o.hashCode() returns on the first invocation must be the value returned on all later invocations as long as the object exists. Notice, however, that the result of hashCode may change between separate executions of a Virtual Machine, because it is not invoked on the same object.

> Notice that since `hashCode` is used in `java.util.Hashtable` and other hashing classes, a poor implementation will degrade the performance of hashing (so don't blindly implement it as returning a constant!). Also, if calculating the hash is time-consuming, a class may consider caching the results.

> The default implementation returns `System.identityHashCode(this)`
> Overrides:
>   hashCode in interface java.lang.Object

> Returns:
>   the hash code for this Object

> See Also:
>   `equals(Object)`, `System.identityHashCode(Object)`